Bajas

Organízate con las colecciones Guarda y clasifica el contenido según tus preferencias.

En esta página, se enumeran todos los productos y funciones de Google Maps Platform que se encuentran actualmente en un período de baja. Esto incluye productos de Maps, Routes y Places.

Cómo funciona la baja

El período de baja para un producto, una función o una versión comienza en la fecha en que se anuncia la baja. El producto, la función o la versión seguirán estando disponibles durante el período de baja (por lo general, 12 meses). Una vez transcurrido el período de baja, se espera que el producto, la función o la versión se retiren de servicio y ya no estén disponibles.

Los propietarios del proyecto con direcciones de correo electrónico supervisadas reciben notificaciones proactivas sobre los cambios que afectan a cada uno de sus proyectos. Mantente informado sobre las actualizaciones importantes, las bajas y otros cambios.

Baja en versiones del SDK

En los SDK y la API de Maps JavaScript, la baja de las funciones está relacionada con la disponibilidad de las versiones. Las nuevas versiones principales declaran cambios rotundos, como la baja de funciones, y las notas de la versión indican cuál es la versión máxima compatible de cada función obsoleta. Puedes seguir usando la función obsoleta siempre que la máxima versión del SDK compatible esté disponible. Para actualizar a la siguiente versión principal del SDK, debes quitar el uso de la función obsoleta de tu código o migrar a su reemplazo.

Obtén más información sobre la disponibilidad de la versión de la API de Maps JavaScript, que sigue un programa trimestral de lanzamientos y retiros de servicio.

Consulta una guía sobre cómo administrar las dependencias de las versiones con el SDK de Maps para Android, el SDK de Maps para iOS, el SDK de Places para Android y el SDK de Places para iOS.

Bajas activas

En esta sección, se enumeran todos los productos y funciones que se encuentran actualmente en un período de baja.


Biblioteca de Contexto local, API de Maps JavaScript (obsoleta a partir de la versión 3.52.2)

Debido a la adopción limitada de esta función Beta, la biblioteca de Contexto local dejó de estar disponible a partir de la versión 3.52.2. La Biblioteca de Contexto local seguirá funcionando hasta nuevo aviso, pero no recomendamos que la agregues a proyectos nuevos.

Si te interesa crear una experiencia similar a la de Local Context Library, te sugerimos que pruebes la solución "Discovery Discovery" en Quick Builder o uses la Biblioteca de Places de la API de Maps JavaScript. Las muestras de código y los codelabs para la biblioteca de Places pueden ayudarte.


Biblioteca de compatibilidad de Places del SDK de Places para Android (a partir del 31 de marzo de 2022)

Todas las versiones de la biblioteca de compatibilidad de Places del SDK de Places para Android dejaron de estar disponibles el 31 de marzo de 2022. Se congelará el desarrollo de la biblioteca de compatibilidad de Places en el SDK de Places para Android v2.6.0 (especificado en las dependencias como com.google.android.libraries.places:places-compat:2.6.0).

No se lanzará ninguna versión nueva de esta biblioteca después de esa fecha. La única forma de acceder a las funciones y correcciones de errores del SDK de Places para Android anterior a la versión 2.6.0 será usar el SDK de Places para Android.

La biblioteca de compatibilidad de Places se introdujo en enero de 2019 para facilitar la migración del SDK heredado (disponible en los Servicios de Play) al SDK de Places para Android independiente.

Sigue la guía de migración a fin de usar el SDK de Places para Android directamente. Algunos códigos de estado, nombres de métodos y nombres de clases de Autocomplete son diferentes entre la biblioteca de compatibilidad de Places y el SDK de Places para Android. Consulta la documentación de Versiones para especificar y mantener dependencias de las versiones del SDK de Places para Android.

Por el momento, no hay un plan para retirar la biblioteca de compatibilidad de Places. Sin embargo, si decides seguir usando versiones disponibles de la biblioteca de compatibilidad de Places, ten en cuenta las limitaciones de compatibilidad con versiones anteriores de un SDK.


No se admiten las búsquedas de Place Search en la API de Places y la biblioteca de Places para la API de Maps JavaScript (31 de marzo de 2022 - 31 de marzo de 2023)

No se admiten las búsquedas de Place Search para los métodos Búsqueda de texto, Búsqueda cercana y Buscar lugar en la API de Places y la biblioteca de Places para la API de Maps JavaScript; se dieron de baja el 31 de marzo de 2022 y recibirán las respuestas de error INVALID_REQUEST a partir del 31 de marzo de 2023.

La API de Places y la biblioteca de Places para la API de Maps JavaScript admiten tres métodos para buscar lugares: Búsqueda de texto, Búsqueda cercana y Buscar lugar. Cada método acepta solicitudes con combinaciones de parámetros compatibles y rechaza la mayoría de las solicitudes con combinaciones de parámetros que no son compatibles.

Algunas combinaciones de parámetros no compatibles no se rechazaron correctamente hasta la fecha:

  • Solicitudes de Búsqueda de texto con un parámetro query vacío o faltante, y sin un parámetro type compatible
  • Solicitudes de Búsqueda de texto con query=*
  • Solicitudes de Búsqueda cercana con keyword=*
  • Solicitudes de Búsqueda cercana con name=*
  • Solicitudes de Buscar lugar con input=*

Estas solicitudes de Place Search no compatibles se deben reemplazar por una de las siguientes opciones:

  • Las solicitudes de Búsqueda cercana sin el parámetro keyword (o name) se pueden usar para encontrar establecimientos cercanos. Se recomienda usar también el parámetro type con un tipo compatible (consulta la Tabla 1: Tipos de lugares). Esto proporciona la coincidencia más cercana al comportamiento actual de las solicitudes de Búsqueda de texto con un parámetro query vacío o faltante.

  • Las solicitudes a la API de Geocoding con el parámetro latlng se pueden usar para encontrar las direcciones más cercanas. Esto proporciona la coincidencia más cercana al comportamiento actual de estos métodos:

    • Solicitudes de Búsqueda de texto con query=*
    • Solicitudes de Búsqueda cercana con keyword=*
    • Solicitudes de Búsqueda cercana con name=*
    • Solicitudes de Buscar lugar con input=*

Actualización de la Política de Seguridad del Contenido (21 de marzo de 2022 - mayo de 2023)

La compatibilidad de los sitios web que usan la Política de Seguridad del Contenido (CSP) y que no especifican googleapis.com en la API de Maps JavaScript deja de estar disponible a partir de la versión 3.49 y no será compatible a partir de la versión 3.50. La última versión compatible, 3.49, se retirará de servicio en el segundo trimestre de 2023. Después de eso, la API de Maps JavaScript rechazará todas las solicitudes que usen directivas de la CSP en las que no se especifique googleapis.com.

Para evitar la interrupción de la experiencia en tu sitio web, especifica googleapis.com en tu CSP. Todas las versiones de la API de Maps JavaScript disponibles actualmente son compatibles con la CSP.


Servicios de juego de Google Maps Platform (18 de octubre de 2021 - 31 de diciembre de 2022)

Los servicios de juego de Google Maps Platform iniciaron el período de baja el 18 de octubre de 2021 y se retirarán de servicio el 31 de diciembre de 2022. Durante el período de baja, Google seguirá brindando asistencia y correcciones para los errores y las interrupciones importantes. Consulta la Guía de transición de los servicios de juego a fin de obtener recursos que te ayudarán a planificar los siguientes pasos para tus proyectos.


ID de lugar obsoletos (16 de marzo de 2021 - 30 de marzo de 2022)

El 30 de marzo de 2022, todas las API de Google Maps Platform dejarán de aceptar ciertos ID de lugar obsoletos. A partir del 30 de marzo de 2022, se rechazarán todas las solicitudes que se realicen con un ID de lugar obsoleto y se mostrará el código de error INVALID_REQUEST. Para evitar que eso afecte la experiencia del usuario, actualiza todos los ID de lugar que tengan más de 12 meses antes del 30 de marzo de 2022.


Módulo de Maps en google.load (13 de octubre de 2020 - 13 de octubre de 2021)

El servicio que proporciona el módulo “Maps” para google.load inició el período de baja el 13 de octubre de 2020 y se desactivará el 13 de octubre de 2021. Las solicitudes posteriores para cargar el módulo "Maps" en google.load generarán un error, y no se cargará ningún mapa. Consulta la Guía de migración para obtener más información.


El campo GMSPlaceField del SDK de Places para iOS ahora usa la macro NS_OPTIONS (a partir de la versión 4.0.0)

A partir del SDK de Places para iOS versión 4.0.0, GMSPlaceField ahora usa la macro NS_OPTIONS en lugar de NS_ENUM para mejorar la compatibilidad con Swift. Obtén más información sobre la migración a GMSPlaceField como NS_OPTIONS.

Para seguir usando GMSPlaceField como NS_ENUM, especifica v3.10.0 o una versión anterior en tus dependencias.


Métodos setAutocompleteBoundsUsingNorthEastCorner:SouthWestCorner e initWithBounds:filter del SDK de Places para iOS (versiones 3.10.0 - 4.0.0)

El método auxiliar setAutocompleteBoundsUsingNorthEastCorner:SouthWestCorner es obsoleto a partir de la versión 3.10.0, y no es compatible con la versión 4.0.0 y posteriores. En su lugar, usa locationBias o locationRestriction.

El método initWithBounds:filter es obsoleto a partir de la versión 3.10.0 y no es compatible con la versión 4.0.0 y posteriores. En su lugar, usa initWithFilter: en GMSAutocompleteFetcher.

La versión máxima compatible con estos métodos obsoletos es v3.10.0.

Para obtener más información sobre los métodos sustitutos, consulta el Apéndice 1.


GMSCoordinateBounds en Place Autocomplete (versiones 3.9.0 - 4.0.0)

Varias de las propiedades o los parámetros que usan GMSCoordinateBounds en el servicio Autocomplete de iOS del SDK de Places dejaron de estar disponibles a partir de la versión 3.9.0 y no son compatibles con la versión 4.0.0 y posteriores. La versión máxima compatible con estas propiedades o parámetros obsoletos es v3.10.0.

Límites en GMSAutocompleteViewController

Las siguientes propiedades de GMSAutocompleteViewController iniciaron el período de baja:

Para obtener una funcionalidad equivalente, usa GMSAutocompleteViewController.autocompleteFilter, con GMSAutocompleteFilter.locationBias o GMSAutocompleteFilter.locationRestriction. La versión mínima del SDK de Places para iOS con las propiedades de reemplazo es v3.8.0.

Límites en findAutocompletePredictionsFromQuery y autocompleteQuery

Para obtener una funcionalidad equivalente, usa findAutocompletePredictionsFromQuery:filter:sessionToken:callback, con GMSAutocompleteFilter.locationBias o GMSAutocompleteFilter.locationRestriction. La versión mínima del SDK de Places para iOS con las propiedades de reemplazo es v3.8.0.

Para obtener más información sobre los métodos sustitutos, consulta el Apéndice 1.


Campo GMSPlace.openNowStatus de Places (versiones 3.0.0 - 4.0.0)

El campo/propiedad GMSPlace.openNowStatus de Places en el SDK de Places para iOS es obsoleto a partir de la versión 3.0.0 y no es compatible con la versión 4.0.0 y posteriores. La versión máxima compatible con este campo obsoleto es v3.10.0.

En su lugar, usa las funciones GMSPlace.isOpenGMSPlace.isOpenAtDate o . La versión mínima del SDK de Places para iOS con estas funciones de reemplazo es v3.3.0.


Campo permanently_closed de Places (obsoleto a partir del 26 de mayo de 2020)

El campo permanently_closed de Places en la API de Places y la Biblioteca de Places para la API de Maps JavaScript es obsoleto y no se debe usar. En su lugar, usa business_status (API de Places) o business_status (biblioteca de Places, API de JavaScript) para obtener el estado operativo de las empresas. La versión mínima de la biblioteca de Places para la API de Maps JavaScript con business_status es v3.40.


Campos open_now y utc_offset de Places (obsoletos desde el 20 de noviembre de 2019)

Los campos open_now y utc_offset de Places en la Biblioteca de Places para la API de Maps JavaScript quedaron obsoletos el 20 de noviembre de 2019 y no deben usarse.

Estos campos solo quedarán obsoletos en la Biblioteca de Places para la API de Maps JavaScript.

  • El campo open_now se reemplazó por PlaceResult.opening_hours.isOpen() en Place Details. Para la búsqueda de sitios cercanos y de texto, usa el parámetro openNow:true en la solicitud para filtrar por los lugares que estén abiertos en ese momento. No se proporciona un equivalente para Find Place. Para obtener este valor, ahora debes realizar una solicitud a Place Details.
  • El campo utc_offset se reemplazó por PlaceResult.utc_offset_minutes en Place Details.

Consulta Migración de los campos de Places para obtener más información.


API de Maps JavaScript: google.maps.event.addDomListener() y google.maps.event.addDomListenerOnce() (obsoletos desde el 7 de abril de 2022)

Las funciones [google.maps.event.addDomListener()](/maps/documentation/javascript/reference/event#event.addDomListener) y [google.maps.event.addDomListenerOnce()](/maps/documentation/javascript/reference/event#event.addDomListenerOnce) de la API de Maps JavaScript quedaron obsoletas y no deben usarse. En su lugar, usa el método estándar addEventListener().

Estos métodos seguirán funcionando, y no hay un plan para retirarlos.


Bajas finalizadas

En esta sección, se enumeran todos los productos y las funciones que se retiraron de servicio. Estos productos y funciones ya no están disponibles.


API de Maps JavaScript v2 (19 de mayo de 2010 - 26 de mayo de 2021)

La versión 2 de la API de Maps JavaScript dejó de estar disponible el 26 de mayo de 2021. Como resultado, los mapas v2 de tu sitio dejarán de funcionar y mostrarán errores de JavaScript. Para seguir usando mapas en tu sitio, migra a la API de Maps JavaScript v3. Obtén más información para actualizar tu aplicación de la API de Maps JavaScript de v2 a v3.


Campos reference, id, alt_id y scope de Places (3 de septiembre de 2019 - 10 de agosto de 2020)

Los campos id, alt_id y scope de Places ya no están disponibles a partir del 10 de agosto de 2020. El campo reference de Places es obsoleto y no se debe usar.

  • El campo de respuesta id se reemplazó por el campo de respuesta place_id.
  • El campo de respuesta reference se reemplazó por la respuesta place_id y no debe usarse.
  • Los campos alt_id y scope no tienen un equivalente, ya que solo se usaron para el servicio Place Add, que se desactivó en julio de 2018.

Consulta Migración de los campos de Places para obtener más información.


Versión 10 de iOS y arquitectura de ARMv7 de 32 bits en el SDK de Maps para iOS 5.0

A partir del SDK de Maps para iOS versión 5.0, iOS 10 y la arquitectura de ARMv7 de 32 bits ya no son compatibles.

SDK de Places para iOS

Con el lanzamiento del SDK de Places para iOS 5.0, GMSCoordinateBounds se retira de servicio y se reemplaza por GMSPlacesViewportInfo.

Fusion Tables Layer (Experimental) (3 de diciembre de 2018 - 3 de diciembre de 2019)

Fusion Tables Layer en la API de Maps JavaScript se desactivó el 3 de diciembre de 2019 y ya no está disponible a partir de la versión 3.38 (3.37 es la última versión compatible con las tablas dinámicas). Obtén más información.


SDK de Places para iOS y Android (29 de enero de 2019 - 29 de julio de 2019)

Desde el 29 de enero de 2019, los SDK actualizados de Places para iOS y Android reemplazaron las versiones existentes de los SDK de Places. Las versiones actuales de los SDK de Places para iOS y Android y de Place Picker iniciaron el período de baja el 29 de enero de 2019 y se desactivaron el 29 de julio de 2019.


Place Add y Place Delete (30 de junio de 2017 - 30 de junio de 2018)

Las funciones Place Add y Place Delete se desactivaron el 30 de junio de 2018 y ya no están disponibles.


Apéndice 1: Resumen de los métodos de reemplazo de la API para los métodos obsoletos del SDK de Places para iOS

En la siguiente tabla, se muestra el método que debes utilizar para cada método o propiedad obsoletos.

Método o propiedad obsoletos En su lugar, usa esto
setAutocompleteBoundsUsingNorthEastCorner:SouthWestCorner
(en GMSAutocompleteViewController)
locationRestriction y locationBias
setAutocompleteBoundsUsingNorthEastCorner:SouthWestCorner
(en GMSAutocompleteResultsViewController)
locationRestriction y locationBias
setAutocompleteBoundsUsingNorthEastCorner:SouthWestCorner
(en GMSAutocompleteTableDataSource)
locationRestriction y locationBias
initWithBounds:filter
(en GMSAutocompleteFetcher)
initWithFilter:
autocompleteBounds y autocompleteBoundsMode
(en GMSAutocompleteViewController)
GMSAutocompleteViewController.autocompleteFilter con locationBias o locationRestriction
findAutocompletePredictionsFromQuery:bounds:boundsMode:filter:SessionToken:callback, autocompleteQuery:bounds:filter:callback y autocompleteQuery:bounds:boundsMode:filter:callback
(en GMSPlacesClient)
findAutocompletePredictionsFromQuery:filter:sessionToken:callback, con locationBias o locationRestriction

La versión mínima del SDK de Places para iOS con las propiedades de reemplazo es v3.8.0.